#!/usr/bin/env python
import pygame
from pygame.locals import *
import sys

# toolsの読み込みを追加
import cursor, tools

SCR_RECT = Rect(0, 0, 640, 480)

class Main():
    def __init__(self):
        pygame.init()
        pygame.display.set_caption("sample")
        screen = pygame.display.set_mode(SCR_RECT.size)

        self.font = pygame.font.Font("data/minamoji04.ttf", 80)
        # タイトルテキスト
        self.title = self.font.render("ラビップルの冒険", True, (0, 0, 0))
        # スタートテキスト
        self.start = self.font.render("はじめる", True, (0, 0, 0))

        # -1を指定し、背景を透過させる
        self.image = tools.load_image("data", "rabipple.png", -1)

        # 背景画像は透過処理しない
        self.bg = tools.load_image("data", "bg.png")

        self.cursor = cursor.Cursor(90, 330, (0, 0, 0))

        clock = pygame.time.Clock()
        while True:
            clock.tick(30)
            self.update()
            self.draw(screen)
            pygame.display.update()
            self.key_handler()

    def update(self):
        self.cursor.update()

    def draw(self, screen):
        # 背景画像を描画
        screen.blit(self.bg, (0, 0))

        screen.blit(self.title, (((320 - (self.title.get_width() / 2)), 100)))
        screen.blit(self.start, (((320 - (self.start.get_width() / 2)), 300)))
        screen.blit(self.image, (288, 200))

        self.cursor.draw(screen)

    def key_handler(self):
        for event in pygame.event.get():
            if event.type == QUIT:
                pygame.quit()
                sys.exit()

if __name__ == "__main__":
    Main()
